planner_0.14.6-4_i386.deb


Advertisement

Description

planner - project management application

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name planner
Package version 0.14.6
Package release 4
Package architecture i386
Package type deb
Installed size 1.22 KB
Download size 418.43 KB
Official Mirror ftp.br.debian.org
Planner is a Project Management application that supports Gantt charts,
resource allocation and integration with other GNOME applications.
Planner was formerly known as Mr.Project.

Alternatives

Package Version Architecture Repository
planner_0.14.6-4_amd64.deb 0.14.6 amd64 Debian Main
planner - - -

Requires

Name Value
gconf-service -
gconf2 >= 2.28.1-2
libart-2.0-2 >= 2.3.17
libatk1.0-0 >= 1.12.4
libc6 >= 2.7
libcairo2 >= 1.2.4
libgconf-2-4 >= 3.2.5
libgdk-pixbuf2.0-0 >= 2.22.0
libglade2-0 >= 1:2.6.4-2~
libglib2.0-0 >= 2.37.3
libgnomecanvas2-0 >= 2.11.1
libgtk2.0-0 >= 2.14.0
libpango-1.0-0 >= 1.14.0
libpangocairo-1.0-0 >= 1.14.0
libpython2.7 >= 2.7
libxml2 >= 2.7.4
libxslt1.1 >= 1.1.25
planner-data = 0.14.6-4
python << 2.8
python >= 2.7
shared-mime-info -

Download

Type URL
Binary Package planner_0.14.6-4_i386.deb
Source Package planner

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install planner deb package:
    # sudo apt-get install planner

Files

Path
/usr/bin/planner
/usr/lib/mime/packages/planner
/usr/lib/planner/libplanner-1.so.0
/usr/lib/planner/libplanner-1.so.0.0.0
/usr/lib/planner/file-modules/libmrp-xml.so
/usr/lib/planner/file-modules/libmrp-xsl.so
/usr/lib/planner/plugins/libhtml-plugin.so
/usr/lib/planner/plugins/libmsp-plugin.so
/usr/lib/planner/plugins/libpython-plugin.so
/usr/lib/planner/plugins/libxmlplanner-plugin.so
/usr/lib/planner/storage-modules/libstorage-mrproject-1.so
/usr/lib/python2.7/dist-packages/planner.so
/usr/lib/python2.7/dist-packages/plannerui.so
/usr/share/applications/planner.desktop
/usr/share/doc/planner/NEWS.gz
/usr/share/doc/planner/changelog.Debian.gz
/usr/share/doc/planner/changelog.gz
/usr/share/doc/planner/copyright
/usr/share/gconf/schemas/planner.schemas
/usr/share/man/man1/planner.1.gz
/usr/share/menu/planner
/usr/share/pixmaps/gnome-planner.png
/usr/share/pixmaps/gnome-planner.xpm

Changelog

2014-07-02 - Dmitry Smirnov <onlyjob@debian.org>
planner (0.14.6-4) unstable; urgency=medium
* Updated "fix-as-needed-build.patch" to add "-lm" to build
since some sources use "floor()" and therefore need "-lm".
(Closes: #705127, #750086). Thanks, Sebastien Bacher.
* Standards-Version to 3.9.5.
2013-05-27 - Dmitry Smirnov <onlyjob@debian.org>
planner (0.14.6-3) unstable; urgency=low
* Renamed "libgsf-gnome-1-dev" --> "libgsf-1-dev" in Build-Depends.
2013-05-17 - Dmitry Smirnov <onlyjob@debian.org>
planner (0.14.6-2) unstable; urgency=low
[ Andrew Starr-Bochicchio ]
* debian/planner.install: Install desktop file (Closes: #665956).
[ Wences Arana ]
* Enable full Hardening through B-D on "dpkg-dev (>= 1.16.1~)"
and "DEB_BUILD_MAINT_OPTIONS=hardening=+all".
[ Dmitry Smirnov ]
* Recommend 'scrollkeeper' but not Depends on it (Closes: #677325).
* Removed parallel build defaults (Closes: #665861).
* New backported patch to fix crash on print preview (Closes: #704171).
* New patch to validate desktop file.
* Added "planner.mime" to provide mailcap MIME entry.
* Expanded and alphabetised list of Build-Depends.
* Removed unnecessary versioned (Build-)Depends.
* Relocated "X-Python-Version: >= 2.6" (source package property).
* Standards to 3.9.4
* dh/compat to version 9
* Enabled verbose build with "--disable-silent-rules".
* Dropped post(inst|rm) files:
- Removed "update-desktop-database" hook, it is done automatically
by trigger in desktop-file-utils
- Removed "update-mime-database" hook and replaced it by symlink
to sharedmimeinfo file in upstream source so dh_installmime will
generate update-mime hooks automatically and for the right binary
package (Closes: #689405).
* xz compression for .deb files.
* Updated my email address, bumped copyright years.
2012-03-08 - Dmitry Smirnov <onlyjob@member.fsf.org>
planner (0.14.6-1) unstable; urgency=medium
* New upstream release
* added patch for --as-needed issue, thanks to Julian Taylor
(Closes: #656795 "FTBFS with ld --as-needed")
* debian/control:
+ corrected planner version in Breaks/Replaces
(Closes: #657419 "fails to upgrade from squeeze...")
+ recalculated planner-dev Depends
- removed ${shlibs:Depends} and ${python:Depends} from -dev Depends
+ standards to 3.9.3
* debian/rules:
+ parallel build by default on linux
+ added --as-needed to LDFLAGS
* debian/copyright:
+ updated DEP-5 format URL
+ added myself as conbtributor
* dependant_typo patch is updated

See Also

Package Description
plasma-containments-addons_4.14.2-1_i386.deb additional containment plugins for Plasma
plasma-dataengines-addons_4.14.2-1_i386.deb additional data engines for Plasma
plasma-dataengines-workspace_4.11.13-2_i386.deb KDE Plasma data engines
plasma-dataengines-yawp_0.4.2-1_i386.deb yaWP's data engines (Ions) for different weather services
plasma-desktop_4.11.13-2_i386.deb KDE Plasma workspace for desktop and laptop computers
plasma-desktopthemes-artwork_4.14.2-1_all.deb desktop themes for KDE Plasma Workspaces
plasma-netbook_4.11.13-2_i386.deb KDE Plasma workspace for netbook computers
plasma-nm_0.9.3.4-2_i386.deb Network Management widget for KDE Plasma workspaces
plasma-runner-installer_1.3.0-2.1_i386.deb KRunner plugin for installing packages
plasma-runner-telepathy-contact_0.8.1-1_i386.deb Telepathy Contact KRunner plugin
plasma-runners-addons_4.14.2-1_i386.deb additional runners for Plasma and Krunner
plasma-scriptengine-javascript_4.14.2-2_i386.deb JavaScript script engine for Plasma
plasma-scriptengine-python_4.11.13-2_all.deb Python script engine for Plasma
plasma-scriptengine-ruby_4.11.13-2_all.deb Ruby script engine for Plasma
plasma-scriptengine-superkaramba_4.14.2-1_i386.deb SuperKaramba theme support for the Plasma Workspaces
Advertisement
Advertisement